Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### rect()
Examples |
    rect(30, 20, 55, 55);
Description | Draws a rectangle to the screen. A rectangle is a four-sided shape with every angle at ninety degrees. The first two parameters set the location, the third sets the width, and the fourth sets the height. The origin is changed with the rectMode() function.
Syntax |
    rect(x, y, width, height)
Parameters |
x | int or float: x-coordinate of the rectangle
y | int or float: y-coordinate of the rectangle
width | int or float: width of the rectangle
height | int or float: height of the rectangle
Returns | None
Usage | Web & Application
Related | rectMode() quad()

Updated on August 30, 2010 04:29:39pm EDT